org.jbpm.services.task.persistence

## Class TaskTransactionInterceptor

- java.lang.Object
- - org.drools.core.command.impl.AbstractInterceptor
  - - org.jbpm.services.task.persistence.TaskTransactionInterceptor

- All Implemented Interfaces:
    org.drools.core.command.CommandService, org.drools.core.command.Interceptor, org.kie.api.runtime.CommandExecutor

      public class TaskTransactionInterceptor
      extends org.drools.core.command.impl.AbstractInterceptor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskTransactionInterceptor(org.kie.api.runtime.Environment environment)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addInterceptor(org.drools.core.command.Interceptor interceptor)`
    `<T> T` | `execute(org.kie.api.command.Command<T> command)`
    `org.kie.internal.command.Context` | `getContext()`
    `void` | `initTransactionManager(org.kie.api.runtime.Environment env)`
    `boolean` | `isSpringTransactionManager(Class<?> clazz)`

    - ### Methods inherited from class org.drools.core.command.impl.AbstractInterceptor

      `executeNext, getNext, setNext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskTransactionInterceptor

          public TaskTransactionInterceptor(org.kie.api.runtime.Environment environment)

  - ### Method Detail

    - #### execute

          public <T> T execute(org.kie.api.command.Command<T> command)

    - #### addInterceptor

          public void addInterceptor(org.drools.core.command.Interceptor interceptor)

    - #### getContext

          public org.kie.internal.command.Context getContext()

      Specified by:
        `getContext` in interface `org.drools.core.command.CommandService`
      Overrides:
        `getContext` in class `org.drools.core.command.impl.AbstractInterceptor`

    - #### initTransactionManager

          public void initTransactionManager(org.kie.api.runtime.Environment env)

    - #### isSpringTransactionManager

          public boolean isSpringTransactionManager(Class<?> clazz)

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.